setlocal
echo off

del MyCode*,*.c,*.lst,*.report,etpuc_*.h,etpu_set.h,etpu_set_init.h

rem to avoid a 'two copy' problem
rem simply copy these files on every test run
set src=..\..\WebApps\ETpuImageBuilder\Source\etpu\_etpu_set
copy %src%\ETEC_fs_func_set.c /y
copy %src%\etpuc_link_func.h /y
copy %src%\etpuc_pwm.c /y
copy %src%\etpuc_ic.c /y
copy %src%\etpuc_fpm.c /y
copy %src%\etpuc_qom.c /y
copy %src%\etpuc_sm.c /y
copy %src%\etpuc_cam.c /y
copy %src%\etpuc_cam.h /y
copy %src%\etpuc_crank.c /y
copy %src%\etpuc_crank.h /y
copy %src%\etpuc_fuel.c /y
copy %src%\etpuc_knock_window.c /y
copy %src%\etpuc_knock_window.h /y
copy %src%\etpuc_spark.c /y
copy %src%\etpuc_toothgen.c /y

echo *************************************************
rem check pathing
echo *************************************************

set DEVTOOL=%TEST_BED_BIN_DIR%\DevTool.exe
if exist %DEVTOOL% goto CheckDevToolPathingSuccess

set DEVTOOL=..\..\Builds\DevTool.exe
if exist %DEVTOOL% goto CheckDevToolPathingSuccess

echo *************************************************
echo UNABLE TO FIND THE DEVELOPMENT TOOL!
echo *************************************************
goto errors

:CheckDevToolPathingSuccess

echo .
echo %DEVTOOL%
echo .

echo .
echo Building the code from the command line (Console)
call Mk.bat -ForceDemo
if  %ERRORLEVEL% NEQ 0 ( goto errors )

del MyCode*,*.lst,*.report,etpu_set.h,etpu_set_init.h

echo Running DevTool Test ...
%DEVTOOL% -p=Proj.ETpuIdeProj -AutoRun -AutoBuild  -ForceDemoIde  -ForceDemoEtec -minimize
if  %ERRORLEVEL% NEQ 0 ( goto errors )

echo Demo Test Passes

goto end
:errors
echo *************************************************
echo        YIKES, WE GOT ERRORS!!
echo *************************************************
exit /b -1
:end